Detalhar Agente
curl --request GET \
--url https://api.example.com/agents/{id}import requests
url = "https://api.example.com/agents/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agentes
Detalhar Agente
Retorna informações detalhadas de um agente específico.
GET
/
agents
/
{id}
Detalhar Agente
Endpoint
GET https://gateway.orkeia.ai/agents/{id}
Cabeçalhos
authorization: <seu_token>
Content-Type: application/json
Parâmetros de caminho
Envie o id do agente como query parameter.{
"id": "ID do agente (obrigatório)"
}
Exemplo (cURL)
curl -X GET "https://gateway.orkeia.ai/agents/agent123" \
-H "authorization: <seu_token>"
Respostas
Response - Success
response
{
"status": "OK",
"data": {
"Agent": {
"name": "Nome do agente",
"enabled": "true",
"model": "sabia-3",
"auto": "false",
"reasoning": "false",
"publisher": "ork-123",
"temperature": "1",
"role": "criador de conteúdo",
"objective": "tem como objetivo fazer tal tarefa",
"referencies": "texto de referencia",
"can_delegate": "false",
"can_code": "false",
"multimodal": "false",
"sectors": ["market"],
"tools": ["web_scrapper"],
"knowledgeBases": ["market_base"]
},
}
500 — Bad Request
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Resposta
{
"id": "agent123",
"name": "Agente IA",
"enabled": true
}
Esta página foi útil?
⌘I
